Bug 6430 - DB changes needed for Hourly Circulation
Summary: DB changes needed for Hourly Circulation
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Bugs List
URL:
Keywords:
Depends on: 8129 8154
Blocks: 5549 6431
  Show dependency treegraph
 
Reported: 2011-05-31 01:28 UTC by Chris Cormack
Modified: 2014-12-07 20:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6430 - DB changes needed to support hourly circ (3.98 KB, patch)
2011-05-31 01:37 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-05-31 01:28:56 UTC

    
Comment 1 Chris Cormack 2011-05-31 01:37:58 UTC
Created attachment 4311 [details] [review]
Bug 6430 - DB changes needed to support hourly circ

Changing columns to datetime instead of date

Squashed commit of the following:

commit ccf37880eaf660685d439b000298dcc025e78b6e
Author: Chris Cormack <chrisc@catalyst.net.nz>
Date:   Thu May 26 12:06:24 2011 +1200

    Bug 5549 backing out of decision to change the name of the colums

commit 2e326fdec7d768fe93d41e93abf3ca665a363791
Author: Chris Cormack <chrisc@catalyst.net.nz>
Date:   Tue May 24 14:31:26 2011 +1200

    Bug 5549 : Starting work on hourly loans, changing issues table
Comment 2 Jared Camins-Esakov 2012-02-12 23:05:32 UTC
Per conversation with rangi, this patch has already been applied to the branch for bug 5579. Marking this bug RESOLVED-WONTFIX.
Comment 3 Jonathan Druart 2012-05-25 10:28:20 UTC
Hummm. I don't understand how this patch have been pushed into master:

commit e56c4b249d9ac66e05054f916560a0f7bea9a194
Author:     Chris Cormack <chrisc@catalyst.net.nz>
AuthorDate: Tue May 31 13:35:14 2011 +1200
Commit:     Chris Cormack <chrisc@catalyst.net.nz>
CommitDate: Tue Mar 20 13:28:52 2012 +1300

    Bug 6430 - DB changes needed to support hourly circ


So, it is in master since Mar 20 2012.
It breaks my patch Bug 6751: I compare the issue.returndate and C4::Dates->new();
Before this patch, it was consistent, comparing date and date. But now, issue.returndate is never equal to C4::Dates->new(); (compare datetime and date).

I think my patch is not the only one encountering this problem.

With a quick search, I think at least these lines are impacted:

C4/Members.pm:        if ($it->{'issuedate'} eq $today) {
circ/circulation.pl:        if ( $todaysdate eq $it->{'issuedate'} or $todaysdate eq $it->{'lastreneweddate'} ) {

Did I misunderstand something (and then I need my week-end break now!) or does this patch introduce side effects ?
Comment 4 Chris Cormack 2012-05-26 00:27:33 UTC
Im sure it does introduce side effects, but it was not pushed as a standalone patch but as part of bug 5549, with a ton of other patches fixing things. 

And yes hourly loans is in 3.8.0.